Get a payout RFI
curl --request GET \
--url https://api-sandbox.circle.com/v1/payouts/{id}/rfi \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.circle.com/v1/payouts/{id}/rfi"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.circle.com/v1/payouts/{id}/rfi', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
"paymentId": "f4b26b87-0000-4c42-a8d6-000000000001",
"status": "INFORMATION_REQUIRED",
"level": "LEVEL_1",
"expiresAt": "2020-04-17T02:13:30.000Z",
"fieldRequirements": {
"version": 1,
"schema": {
"type": "object",
"required": [
"purposeOfFunds"
],
"properties": {
"purposeOfFunds": {
"type": "string"
}
}
}
},
"fileRequirements": []
}
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 404,
"message": "Not found."
}Get a payout RFI
Retrieves the active Request for Information (RFI) for the specified fiat payout.
An RFI is issued when the compliance team requires additional information before
the payout can proceed. Check the fieldRequirements.schema to determine which
fields must be submitted via POST /v1/payouts/{id}/rfi/submit.
GET
/
v1
/
payouts
/
{id}
/
rfi
Get a payout RFI
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Universally unique identifier (UUID v4) of a resource.
Example:
"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"
Response
Successfully retrieved the payout RFI.
Details of a Request for Information (RFI) associated with a fiat payout.
Show child attributes
Show child attributes
Was this page helpful?